import {Component, inject} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogActions, MatDialogContent, MatDialogTitle} from "@angular/material/dialog";
import {Employee} from "../Employee";
import {MatButton} from "@angular/material/button";
import {DialogRef} from "@angular/cdk/dialog";

@Component({
  selector: 'app-details',
  imports: [
    MatDialogTitle,
    MatDialogContent,
    MatButton,
    MatDialogActions
  ],
  templateUrl: './details.component.html',
  standalone: true,
  styleUrl: './details.component.css'
})
export class DetailsComponent {
  employee: Employee = inject(MAT_DIALOG_DATA);
  dialogRef: DialogRef = inject(DialogRef);

  closeModal() {
    this.dialogRef.close();
  }
}
