import {Component, OnDestroy, OnInit} from '@angular/core';
import {interval, Subscription} from "rxjs";

@Component({
  selector: 'app-login',
  imports: [],
  templateUrl: './login.component.html',
  standalone: true,
  styleUrl: './login.component.css'
})
export class LoginComponent implements OnInit, OnDestroy{
  dots: string = '';
  private maxDots: number = 4; // Maximum number of dots
  private intervalSub!: Subscription;

  ngOnInit(): void {
    this.intervalSub = interval(500).subscribe(() => {
      this.dots = this.dots.length < this.maxDots ? this.dots + '.' : '';
    });
  }

  ngOnDestroy(): void {
    if (this.intervalSub) {
      this.intervalSub.unsubscribe();
    }
  }
}
