import {inject, Injectable} from '@angular/core';
import {KeycloakService} from "keycloak-angular";

@Injectable({
  providedIn: 'root'
})
export class AuthService {
  private keycloakService = inject(KeycloakService);

  public isAuthenticated(): boolean {
    if (this.keycloakService.isLoggedIn()) {
      return true;
    }

    this.keycloakService.login();

    return false;
  }
}
